Devices

List Authorized Devices

get

Gets a list of active OAuth2 authorized devices belonging to a user.

Args: offset: Offset for pagination. limit: Limit for pagination. user: The authorized user. user_manager: The user manager.

Returns: List of OAuth2 authorized device objects.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
offsetintegerOptionalDefault: 0
limitintegerOptionalDefault: 100
Responses
chevron-right
200

Successful Response

application/json

Response body for OAuth2 devices.

idstring · uuidRequired

The OAuth2 device ID.

nameany ofOptional

The name of the OAuth2 device.

stringOptional
or
nullOptional
createdstring · date-timeRequired

The creation date of the OAuth2 device.

updatedstring · date-timeRequired

The date the OAuth2 device was last updated.

user_idany ofOptional

The user ID owning the OAuth2 device.

string · uuidOptional
or
nullOptional
client_idstring · uuidRequired

The client ID of the OAuth2 device.

expiresstring · date-timeRequired

The expiration date of the OAuth2 device after which the device can no longer be used in the OAuth2 authorized device flow.

trusted_devicebooleanRequired

Whether the OAuth2 device was marked as trusted. A trusted device has a much longer validity time.

statusstring · enumRequired

The status of the OAuth2 device.

Possible values:
osany ofOptional

The operating system of the device used for authentication.

stringOptional
or
nullOptional
ip_addressany ofOptional

The IP address of the device used for authentication.

stringOptional
or
nullOptional
hostnameany ofOptional

The hostname of the device used for authentication.

stringOptional
or
nullOptional
cityany ofOptional

The city where the device is located.

stringOptional
or
nullOptional
regionany ofOptional

The region where the device is located.

stringOptional
or
nullOptional
countryany ofOptional

The country where the device is located.

stringOptional
or
nullOptional
last_loginany ofOptional

The date of the last successful login.

string · date-timeOptional
or
nullOptional
get
/devices

Get Authorization Device

get

Gets a specific OAuth2 authorized device using its unique ID.

Args: device_id_or_user_code: The ID or user code of the OAuth2 authorized device to get. user: The authorized user. user_manager: The user manager.

Returns: A specific OAuth2 authorized device object.

Raises: OAuthDeviceNotFound: If the device with the given ID does not exist, does not belong to the current user or could not be verified using the given user code.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
device_id_or_user_codestringRequired
Responses
chevron-right
200

Successful Response

application/json

Response body for OAuth2 devices.

idstring · uuidRequired

The OAuth2 device ID.

nameany ofOptional

The name of the OAuth2 device.

stringOptional
or
nullOptional
createdstring · date-timeRequired

The creation date of the OAuth2 device.

updatedstring · date-timeRequired

The date the OAuth2 device was last updated.

user_idany ofOptional

The user ID owning the OAuth2 device.

string · uuidOptional
or
nullOptional
client_idstring · uuidRequired

The client ID of the OAuth2 device.

expiresstring · date-timeRequired

The expiration date of the OAuth2 device after which the device can no longer be used in the OAuth2 authorized device flow.

trusted_devicebooleanRequired

Whether the OAuth2 device was marked as trusted. A trusted device has a much longer validity time.

statusstring · enumRequired

The status of the OAuth2 device.

Possible values:
osany ofOptional

The operating system of the device used for authentication.

stringOptional
or
nullOptional
ip_addressany ofOptional

The IP address of the device used for authentication.

stringOptional
or
nullOptional
hostnameany ofOptional

The hostname of the device used for authentication.

stringOptional
or
nullOptional
cityany ofOptional

The city where the device is located.

stringOptional
or
nullOptional
regionany ofOptional

The region where the device is located.

stringOptional
or
nullOptional
countryany ofOptional

The country where the device is located.

stringOptional
or
nullOptional
last_loginany ofOptional

The date of the last successful login.

string · date-timeOptional
or
nullOptional
get
/devices/{device_id_or_user_code}

Update Authorized Device

put

Updates a specific OAuth2 authorized device using its unique ID.

Args: device_id: The ID of the OAuth2 authorized device to update. update: The model containing the attributes to update. user: The authorized user. user_manager: The user manager.

Returns: The updated OAuth2 authorized device object.

Raises: OAuthDeviceNotFound: If the device with the given ID does not exist or does not belong to the current user.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
device_idstring · uuidRequired
Body

OAuth2 device update model.

nameany ofOptional

The new name of the OAuth2 device.

stringOptional
or
nullOptional
device_metadataany ofOptional

The new metadata of the OAuth2 device.

or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Response body for OAuth2 devices.

idstring · uuidRequired

The OAuth2 device ID.

nameany ofOptional

The name of the OAuth2 device.

stringOptional
or
nullOptional
createdstring · date-timeRequired

The creation date of the OAuth2 device.

updatedstring · date-timeRequired

The date the OAuth2 device was last updated.

user_idany ofOptional

The user ID owning the OAuth2 device.

string · uuidOptional
or
nullOptional
client_idstring · uuidRequired

The client ID of the OAuth2 device.

expiresstring · date-timeRequired

The expiration date of the OAuth2 device after which the device can no longer be used in the OAuth2 authorized device flow.

trusted_devicebooleanRequired

Whether the OAuth2 device was marked as trusted. A trusted device has a much longer validity time.

statusstring · enumRequired

The status of the OAuth2 device.

Possible values:
osany ofOptional

The operating system of the device used for authentication.

stringOptional
or
nullOptional
ip_addressany ofOptional

The IP address of the device used for authentication.

stringOptional
or
nullOptional
hostnameany ofOptional

The hostname of the device used for authentication.

stringOptional
or
nullOptional
cityany ofOptional

The city where the device is located.

stringOptional
or
nullOptional
regionany ofOptional

The region where the device is located.

stringOptional
or
nullOptional
countryany ofOptional

The country where the device is located.

stringOptional
or
nullOptional
last_loginany ofOptional

The date of the last successful login.

string · date-timeOptional
or
nullOptional
put
/devices/{device_id}

Delete Authorized Device

delete

Deletes a specific OAuth2 authorized device using its unique ID.

Args: device_id: The ID of the OAuth2 authorized device to delete. user: The authorized user. user_manager: The user manager.

Raises: OAuthDeviceNotFound: If the device with the given ID does not exist or does not belong to the current user.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
device_idstring · uuidRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
delete
/devices/{device_id}

No content

ZenML Scarf

Last updated

Was this helpful?